From: Christian Heller <c.heller@plomlompom.de>
Date: Sun, 23 Mar 2025 19:56:21 +0000 (+0100)
Subject: Minor fixes.
X-Git-Url: https://plomlompom.com/repos/%7B%7B%20web_path%20%7D%7D/static/%7B%7Bprefix%7D%7D/calendar_export?a=commitdiff_plain;p=config

Minor fixes.
---

diff --git a/testing/aptmark/desktop b/testing/aptmark/desktop
index 294d76c..191146f 100644
--- a/testing/aptmark/desktop
+++ b/testing/aptmark/desktop
@@ -7,6 +7,7 @@ pmount
 openssh-client
 # wayland usage essentials
 sway
+wl-clipboard
 # at a minimum sets env stuff without which sway won't start 
 dbus-user-session
 # for sound
diff --git a/testing/home/t490s/.nonpath_bins/status.sh b/testing/home/t490s/.nonpath_bins/status.sh
index b997559..e353f69 100755
--- a/testing/home/t490s/.nonpath_bins/status.sh
+++ b/testing/home/t490s/.nonpath_bins/status.sh
@@ -77,12 +77,16 @@ print_online() {
     }
     print_conn enp
     print_conn wlp 0
+    set +e
     STATUS_WIFI=$(nmcli -t -f IN-USE,SSID,SIGNAL dev wifi | grep '^\*:')
+    set -e
     if [ ! -z "${STATUS_WIFI}" ]; then
         SIGNAL=$(echo -n "${STATUS_WIFI}" | cut -d':' -f3)
         COLOR=$(color_at $SIGNAL "45:${COL_RED}_85:${COL_YELLOW}_100:${COL_GREEN}")
         print_bar_block " ${SIGNAL}" "${COLOR}" 0
         print_bar_block "% $(echo "${STATUS_WIFI}" | cut -d':' -f2)"
+    else
+        print_bar_block " "
     fi
 }